Subject: Re: bug#32337: 26.1; display-line-numbers-mode makes cursor ill-aligned when number face is changed

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Feb 2019 18:57:56 +0200

> From: Carlos Pita <[email-masked]>
> Date: Tue, 19 Feb 2019 12:22:26 -0300
> Cc: [email-masked], [email-masked]
> 
> recently I run into a strange problem that could be related to this change.
> 
> It's not difficult to reproduce, you have to install the treemacs
> package, which installs the hydra package. Then run M-x treemacs and,
> in the tree buffer press ? to open the hydra. Finally look at the
> first character of the last line of the hydra buffer. Try this with
> emacs-26 HEAD and with 26.1 and compare.
> 
> You can get an idea of the problem by looking at the attached screenshots.

I have hard time believing that this has anything to do with the fix
for bug#32337.  AFAIU, there are no line-numbers shown in the
situation you describe and show on the screenshots, right?  The
problem is that the first character on the last line is displayed
using a different (incorrect) face, right?

> I've reported it in
> https://github.com/Alexander-Miller/treemacs/issues/360 also, but it
> probably is a bug in core emacs.

Would it be possible for you to bisect the emacs-26 branch and find
the commit which caused this?  That'd be most appreciated.

Thanks.